﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.Utility
{
    public enum LogSubject
    {
        None = 0,
        FingerDetector = 1,
        FingerTracker = 2,
        HandDetector = 4,
        PalmDetector = 8,
        TouchDetector = 16,
        TouchTracker = 32,
        TUIOServer = 64,
        TouchEvents = 128,
        VideoControls = 256,
        HandTracker = 512,
        PalmTracker = 1024
    }

    static class Logger
    {
        public static int CurrentFrame { get; set; }

        public static void log(string message, LogSubject subject)
        {
            if (Parameters.EnabledLogSubjects.HasFlag(subject))
                Console.WriteLine("Frame: " + CurrentFrame + "\t" + message);
        }
    }
}
